AURACLE(1)

NAME
auracle - an AUR client with a focus on flexibility

SYNOPSIS
auracle [OPTIONS...] COMMAND [ARGS...]

DESCRIPTION
auracle is a tool for querying information stored by the Arch User Repository (AUR). Invoking auracle consists of supplying an operation, any applicable options, and usually one or more arguments.

OPTIONS

--color=
    Control colored output. Argument must be one of auto, never, or always. When set to auto, color will be enabled if stdout is connected to a terminal.

    This option defaults to auto.

--connect-timeout=
    Pass an integer to specify a connection timeout, in seconds, for each connection made to the AUR. A singled failed connection will result in the entire operation failing. If zero, there will be no connection timeout.

    This option defaults to 0 (no timeout).

-h, --help
    Print a short help text and exit.

--literal
    When used with the search command, interpret all search terms as literal, rather than as regular expressions.

--max-connections=
    Pass an integer value to limit the number of simultaneous connections to the AUR backend. If zero, there will be no connection limit.

    This option defaults to 0 (no limit).

--quiet
    When used with the search and sync commands, output will be limited to package names only.

-r, --recurse
    When used with the download command, recursively follow and download dependencies of each given argument.

--searchby=
    When used with the search command, change the search dimension. Argument must be one of name, name-desc, or maintainer.

    This option defaults to name-desc.

COMMANDS

search TERMS...
    Pass one to many arguments to perform a search query. Results will be the intersection of all terms. Terms may be a regular expression as described by the POSIX extended regex specification.

    NOTE: the AUR does not actually support searching by regular expressions and support in auracle is implemented on a best-effort basis.

info PACKAGES...
    Pass one to many arguments to perform an info query.

sync [PACKAGES...]
    Pass one to many arguments to check for newer versions existing in the AUR. Each argument is assumed to be a package installed locally using pacman(8). If no arguments are given, pacman is queried for all foreign packages as an input to this operation.

download PACKAGES...
    Pass one to many arguments to download packages. Use the --recurse flag to download dependencies of packages.

buildorder PACKAGES...
    Pass one to many arguments to print a build order for the given packages. The resulting output will be the total ordering to build all packages.

AUTHOR
Dave Reisner <d@falconindy.com>